import { Controller, Get, Param } from '@nestjs/common';
import { PostService } from './post.service';

@Controller('posts')
export class PostController {

  constructor(private readonly postService: PostService) {}

  @Get()
  async findAll() {
    return this.postService.findAll();
  }

  @Get(':id/comments')
  async findCommentsByPostId(@Param('id') postId: string) {
    return this.postService.findCommentsByPostId(+postId);
  }

}
